slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPCISSSetExtraction

Sets the extraction technique used in the CISS solver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCISSSetExtraction(PEP pep,PEPCISSExtraction extraction)

Logically Collective

### Input Parameters

| pep | - the polynomial eigensolver context
| extraction | - the extraction technique

### Options Database Key

| -pep_ciss_extraction | - Sets the extraction technique (either 'ritz', 'hankel' or 'caa')

### Notes

By default, the Rayleigh-Ritz extraction is used (PEP_CISS_EXTRACTION_RITZ).

If the 'hankel' or the 'caa' option is specified (PEP_CISS_EXTRACTION_HANKEL or PEP_CISS_EXTRACTION_CAA), then the Block Hankel method, or the Communication-avoiding Arnoldi method, respectively, is used for extracting eigenpairs.

### See Also

PEPCISSGetExtraction(), PEPCISSExtraction

### Level

advanced

### Location

src/pep/impls/ciss/pciss.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages